org.apache.http.conn.params

## Class ConnPerRouteBean

- java.lang.Object
- - org.apache.http.conn.params.ConnPerRouteBean

- All Implemented Interfaces:
    ConnPerRoute

  已过时。
  （4.2）使用`ConnPoolControl`

      @Deprecated
      @Contract(threading=SAFE)
      public final class ConnPerRouteBean
      extends Object
      implements ConnPerRoute

  此类将HTTP路由映射到这些路由允许的最大连接数。 通过将`connection managers`汇总在每个路由的连接的细粒度控制上，可以使用此类 。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_CONNECTIONS_PER_ROUTE` 已过时。 每个主机允许的默认最大连接数

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ConnPerRouteBean()` 已过时。
    `ConnPerRouteBean(int defaultMax)` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDefaultMax()` 已过时。
    `int` | `getDefaultMaxPerRoute()` 已过时。
    `int` | `getMaxForRoute(HttpRoute route)` 已过时。
    `void` | `setDefaultMaxPerRoute(int max)` 已过时。
    `void` | `setMaxForRoute(HttpRoute route, int max)` 已过时。
    `void` | `setMaxForRoutes(Map<HttpRoute,Integer> map)` 已过时。
    `String` | `toString()` 已过时。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 字段详细信息

    - #### DEFAULT_MAX_CONNECTIONS_PER_ROUTE

          public static final int DEFAULT_MAX_CONNECTIONS_PER_ROUTE

      已过时。
      每个主机允许的默认最大连接数
      另请参见：
        Constant Field Values

  - ### 构造方法详细信息

    - #### ConnPerRouteBean

          public ConnPerRouteBean(int defaultMax)

      已过时。

    - #### ConnPerRouteBean

          public ConnPerRouteBean()

      已过时。

  - ### 方法详细信息

    - #### getDefaultMax

          public int getDefaultMax()

      已过时。

    - #### getDefaultMaxPerRoute

          public int getDefaultMaxPerRoute()

      已过时。
      从以下版本开始：
        4.1

    - #### setDefaultMaxPerRoute

          public void setDefaultMaxPerRoute(int max)

      已过时。

    - #### setMaxForRoute

          public void setMaxForRoute(HttpRoute route,
                            int max)

      已过时。

    - #### getMaxForRoute

          public int getMaxForRoute(HttpRoute route)

      已过时。
      Specified by:
        `getMaxForRoute`在接口 `ConnPerRoute`

    - #### setMaxForRoutes

          public void setMaxForRoutes(Map<HttpRoute,Integer> map)

      已过时。

    - #### toString

          public String toString()

      已过时。
      重写：
        `toString` in class `Object`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585